eth_getTransactionByHash
Returns the information about a transaction requested by transaction hash.
Parameters
Section titled “Parameters”DATA(32 bytes) — Hash of a transaction.
Returns
Section titled “Returns”Object|null — A transaction object, or null when no transaction was found.
| Field | Type | Description |
|---|---|---|
| hash | DATA | Transaction hash |
| nonce | QUANTITY | Sender nonce |
| from | DATA | Sender address |
| to | DATA | Recipient address |
| value | QUANTITY | Value transferred (wei) |
| gas | QUANTITY | Gas provided |
| gasPrice | QUANTITY | Gas price (wei) |
| input | DATA | Call data |
| blockHash | DATA | Block hash (null if pending) |
| blockNumber | QUANTITY | Block number (null if pending) |
| transactionIndex | QUANTITY | Index in block (null if pending) |
Request
Section titled “Request”curl -X POST https://eth-mainnet.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "method": "eth_getTransactionByHash", "params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"], "id": 1 }'Response
Section titled “Response”{ "jsonrpc": "2.0", "id": 1, "result": { "hash": "0x88df...", "from": "0x...", "to": "0x...", "value": "0xde0b6b3a7640000", "blockNumber": "0x134e82a", "gasPrice": "0x3b9aca00" }}Code Examples
Section titled “Code Examples”JavaScript (ethers.js v6)
Section titled “JavaScript (ethers.js v6)”import { JsonRpcProvider } from "ethers";const provider = new JsonRpcProvider("https://eth-mainnet.blockreq.com/v1/rpc/YOUR_API_KEY");const tx = await provider.getTransaction("0x88df...");console.log("From:", tx.from, "To:", tx.to, "Value:", tx.value.toString());Python (web3.py)
Section titled “Python (web3.py)”from web3 import Web3w3 = Web3(Web3.HTTPProvider("https://eth-mainnet.blockreq.com/v1/rpc/YOUR_API_KEY"))tx = w3.eth.get_transaction("0x88df...")print(f"From: {tx['from']} To: {tx['to']}")RU Cost
Section titled “RU Cost”| Method | Cost |
|---|---|
| eth_getTransactionByHash | 10 RU |